import request from "../../common/request"
import { FLOW_PATH as prefix } from "../AppPath";

export default {
	save: function (inputForm) {
		return request({
			url: prefix + "/extension/taskDefExtension/save",
			method: "post",
			data: inputForm,
		});
	},

	delete: function (ids) {
		return request({
			url: prefix + "/extension/taskDefExtension/delete",
			method: "delete",
			params: { ids: ids },
		});
	},

	queryById: function (id) {
		return request({
			url: prefix + "/extension/taskDefExtension/queryById",
			method: "get",
			params: { id: id },
		});
	},

	queryByDefIdAndTaskId: function (params) {
		return request({
			url: prefix + "/extension/taskDefExtension/queryByDefIdAndTaskId",
			method: "get",
			params: params,
		});
	},

	list: function (params) {
		return request({
			url: prefix + "/extension/taskDefExtension/list",
			method: "get",
			params: params,
		});
	},
};
